class UsersController < ApplicationController
  before_action :set_user, only: %i[ destroy edit show update ]

  def index
    @title = "All users"
  end

  def edit
    @title = "My settings"
  end

  def update
    if @user.update(user_params)
      redirect_to @user
    else
      render :edit, status: :unprocessable_entity
    end
  end

  def show
    redirect_to edit_user_path(@user)
  end

  def new
  end

  def destroy
  end

  private

  def set_user
    @user = User.find(params[:id])
  end

  def user_params
    params.expect(user: [ :username, :email_address ])
  end
end
